# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Payment\Method:
  - service_name: 'Netbanx Hosted Payment'
    class: XC\NetbanxHostedPayment\Model\Payment\Processor\NetbanxHostedPayment
    type: C
    countries: [AT, BE, BG, CA, CH, CY, CZ, DE, DK, EE, ES, FI, FR, GB, GR, HR, HU, IE, IS, IT, LI, LT, LU, LV, MT, NL, 'NO', PL, PT, RO, SE, SI, SK, US]
    translations: [{code: en, name: 'Netbanx Hosted Payment'}, {code: es, name: 'Pago alojado Netbanx'}]
    settings: [{name: keyid}, {name: keypassword}, {name: mode}]
XLite\Model\LanguageLabel:
  - name: 'Key ID'
    translations: [{code: en, label: 'Key Id'}]
  - name: 'Key Password'
    translations: [{code: en, label: 'Key Password'}]
  - name: 'Order prefix'
    translations: [{code: en, label: 'Order prefix'}]
  - name: 'Test mode'
    translations: [{code: en, label: 'Test mode'}]
